New dedicated Steam Community Market endpoints are available! - full historical sale data and full-depth bid/ask orderbook. See docs.

POST /v1/market/steam/history

返回随时间变化的 Steam 全深度订单簿快照,与 GET /v1/market/steam/latest 结构相同。数据始于 2026 年 6 月 9 日。每次请求最多 100 个饰品。

此端点的数据每 10 分钟更新一次。

访问#

需要 Scale 或 Enterprise API 密钥。

支持的间隔#

间隔最大范围
1h90 天
1d不限

请求#

POSTapi.cs2.sh/v1/market/steam/history
curl -X POST https://api.cs2.sh/v1/market/steam/history \
  -H "Authorization: Bearer <<YOUR_API_KEY>>" \
  -H "Accept-Encoding: gzip" --compressed \
  -H "Content-Type: application/json" \
  -d '{
  "items": [
    "AK-47 | Redline (Field-Tested)"
  ],
  "start": "2026-06-01",
  "end": "2026-06-02",
  "interval": "1h"
}'

参数#

字段类型必需描述
itemsstring[]常规 market_hash_name 值列表(最多 100 个)。不支持变体。
startstring开始日期/时间(YYYY-MM-DD 或 RFC3339),包含。
endstring结束日期/时间(YYYY-MM-DD 或 RFC3339),不含。默认现在。
intervalstring允许:1h1d。分桶间隔。1h 最多 90 天;1d 不限。

响应字段#

每件饰品包含 count(有数据的分桶数)以及一个订单簿快照的 data[] 数组。每个数据点都是其 bucket 内最新的全深度观测,携带 updated_atcollected_attopdepthtop 包含最优买/卖价以及 Steam 卖/买挂单总数。depth 包含完整的列式买卖档位。饰品名称是 items 中的键,因此不会在每个饰品值内重复。

  • bucket 是 UTC 间隔边界。
  • 不包含变体饰品。
  • 在该区间内无分桶的有效请求饰品会从 items 中省略。

完整结构:SteamOrderbookHistoryItemSteamOrderbookHistoryPointSteamOrderbookTopSteamOrderbookDepthSteamOrderbookDepthSide

错误#

状态触发条件
400 validation_error请求体或查询未通过校验(例如 JSON 格式错误、缺少 items/start、超过 100 个饰品,或 interval 或日期区间错误)。
401 / 403缺少密钥、密钥无效或套餐无权访问。
429触发限流。
5xx服务端问题。

当部分饰品可解析而其他无法解析时,请求仍返回 200,包含已解析的饰品以及 errors[] 数组。

响应#

json
{
  "response_time": "2026-06-14T12:00:00Z",
  "currency": "USD",
  "start": "2026-06-01T00:00:00Z",
  "end": "2026-06-02T00:00:00Z",
  "interval": "1h",
  "items": {
    "AK-47 | Redline (Field-Tested)": {
      "count": 1,
      "data": [
        {
          "bucket": "2026-06-01T00:00:00Z",
          "updated_at": "2026-06-01T00:51:00Z",
          "collected_at": "2026-06-01T00:51:05Z",
          "top": {
            "ask": 41.32,
            "ask_volume": 1120,
            "bid": 41.24,
            "bid_volume": 53678
          },
          "depth": {
            "ask_levels": 1,
            "bid_levels": 1,
            "asks": {
              "prices": [
                41.32
              ],
              "volumes": [
                2
              ]
            },
            "bids": {
              "prices": [
                41.24
              ],
              "volumes": [
                27
              ]
            }
          }
        }
      ]
    }
  }
}

返回 SteamOrderbookHistoryResponse 对象。完整结构见对象